cURL
curl -X PATCH https://api.aiql.io/canvases/cvs_4b2a \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID" \
-H "Content-Type: application/json" \
-d '{"title": "Expansion options 2027"}'import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
canvas = client.canvases.update("cvs_4b2a", title="Expansion options 2027")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const canvas = await client.canvases.update("cvs_4b2a", { title: "Expansion options 2027" });{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Canvases
Update Canvas
PATCH
/
canvases
/
{id}
cURL
curl -X PATCH https://api.aiql.io/canvases/cvs_4b2a \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID" \
-H "Content-Type: application/json" \
-d '{"title": "Expansion options 2027"}'import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
canvas = client.canvases.update("cvs_4b2a", title="Expansion options 2027")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const canvas = await client.canvases.update("cvs_4b2a", { title: "Expansion options 2027" });{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Path Parameters
Body
application/json
Response
Successful Response
Unique identifier of the canvas.
Title of the canvas.
Description of the canvas.
Timestamp when the canvas was created.
Timestamp when the canvas was last updated.